Bug 1366412 (CVE-2016-5411) - CVE-2016-5411 QCI: creates world readable /var/lib/ovirt-engine/setup/engine-DC-config.py contains sensitive password
Summary: CVE-2016-5411 QCI: creates world readable /var/lib/ovirt-engine/setup/engine-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2016-5411
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160827,repor...
Depends On: 1357675
Blocks: 1360196
TreeView+ depends on / blocked
 
Reported: 2016-08-11 23:07 UTC by Kurt Seifried
Modified: 2019-06-08 21:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 19:32:20 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2016-08-11 23:07:26 UTC
Thom Carlin of Red Hat report:

The file /var/lib/ovirt-engine/setup/engine-DC-config.py is created world readable and contains the root password for the deployed system.

Comment 1 Kurt Seifried 2016-08-11 23:07:31 UTC
Acknowledgments:

Name: Thom Carlin  (Red Hat)

Comment 2 Kurt Seifried 2016-09-30 19:32:20 UTC
This was fixed in QCI 1.0 GA.


Note You need to log in before you can comment on or make changes to this bug.